{
  "alfredsnippet" : {
    "snippet" : "# Execute a command as root (or sudo)\ndo_with_root() {\n    # already root? \"Just do it\" (tm).\n    if [[ $(whoami) = 'root' ]]; then\n        \"$@\"\n    elif [[ -x \/bin\/sudo || -x \/usr\/bin\/sudo ]]; then\n        echo \"sudo $*\"\n        sudo \"$*\"\n    else\n        exit 1\n    fi\n}",
    "uid" : "B4650A24-F9AF-4AD4-B0D0-810F7DA0B9C2",
    "name" : "do_with_root",
    "keyword" : ""
  }
}